# Created by pyp2rpm-1.0.1
%global pypi_name grappelli-safe
%global srcname grappelli_safe

Name:           python-%{pypi_name}
Version:        1.1.1
Release:        %mkrel 7
Group:          Development/Python
Summary:        A snapshot of the grappelli_2 branch of django-grappelli, packaged as a dependency for the Mezzanine CMS for Django
License:        BSD
Url:            https://pypi.org/project/grappelli-safe/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
grappelli_safe was created to provide a snapshot of the `Grappelli admin skin
for `Django`, to be referenced as a dependency for the `Mezzanine CMS for
Django.

%package -n     python3-%{pypi_name}
Summary:        A snapshot of the grappelli_2 branch of django-grappelli, packaged as a dependency for the Mezzanine CMS for Django
%{?python_provide:%python_provide python3-%{srcname}}
Obsoletes:      python3-%{srcname} < 1.1.1-4

%description -n python3-%{pypi_name}
grappelli_safe was created to provide a snapshot of the `Grappelli admin skin
for `Django`, to be referenced as a dependency for the `Mezzanine CMS for
Django.

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README*


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.1.1-7.mga10
+ Revision: 2238337
- Mageia 10 Mass Rebuild

* Sat Mar 01 2025 wally <wally> 1.1.1-6.mga10
+ Revision: 2155021
- rebuild for python3.13

* Sun Jun 30 2024 wally <wally> 1.1.1-5.mga10
+ Revision: 2078306
- fix obsoletes

* Sun Jun 30 2024 wally <wally> 1.1.1-4.mga10
+ Revision: 2078266
- fix and normalize pkg names to follow PEP 503

* Mon Dec 25 2023 papoteur <papoteur> 1.1.1-3.mga10
+ Revision: 2021378
- Rebuild

* Wed Mar 23 2022 umeabot <umeabot> 1.1.1-2.mga9
+ Revision: 1821936
- Mageia 9 Mass Rebuild
+ mrambo3501 <mrambo3501>
- version 1.1.1
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 0.5.2-1.mga9
+ Revision: 1733124
- new version 0.5.2

* Sat Jun 26 2021 wally <wally> 0.5.1-4.mga9
+ Revision: 1732855
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.5.1-3.mga8
+ Revision: 1535579
- Mageia 8 Mass Rebuild

* Sat Oct 12 2019 tv <tv> 0.5.1-2.mga8
+ Revision: 1452410
- rebuild for python-3.8
- drop python2 subpkg

* Wed Jan 09 2019 shlomif <shlomif> 0.5.1-1.mga7
+ Revision: 1353236
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.3.13-5.mga7
+ Revision: 1288928
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.3.13-4.mga7
+ Revision: 1135441
- Rebuild for python 3.6

* Fri Feb 19 2016 umeabot <umeabot> 0.3.13-3.mga6
+ Revision: 970905
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 0.3.13-2.mga6
+ Revision: 888783
- rebuild for python 3.5

* Wed Nov 05 2014 joequant <joequant> 0.3.13-1.mga5
+ Revision: 795794
- imported package python-grappelli-safe

